Skip to main content
`Ctrl`+`K`

# skbio.sequence.GrammaredSequence.has_definites

GrammaredSequence.has_definites()

  Determine if sequence contains one or more definite characters.

  Returns:
    bool

      Indicates whether there are one or more occurrences of definite characters in the biological sequence.

  See also

  `definites`
  `degenerates`
  `has_degenerates`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('NWNNNNNN')
      >>> s.has_definites()
      False
      >>> t = DNA('ANCACWWGACGTT')
      >>> t.has_definites()
      True